package ZipTie::Adapters::Cisco::IOS::Utils;

use strict;
use warnings;
use 5.010_000;

use ZipTie::Adapters::Utils qw(trim);

my $LOGGER = ZipTie::Logger::get_logger();

use Exporter qw(import);
our @EXPORT_OK = qw(get_full_interface_name);
 
# Given a short name like "Fa3/15" return "FastEthernet3/15"
sub get_full_interface_name {
	my $name = shift;
	$name = trim($name);
	for ($name) {
		s/^Fa(?=\d)/FastEthernet/;
		s/^Eth(?=\d)/Ethernet/;
		s/^Et(?=\d)/Ethernet/;
		s/^Gig?(?=\d)/GigabitEthernet/;
		s/^Po(?=\d)/PortChannel/;
	}
	return $name;
}

1;
